## org.hibernate.hql.internal.ast.util
Interface ASTUtil.FilterPredicate

All Known Implementing Classes:
  ASTUtil.IncludePredicate

Enclosing class:
  ASTUtil

    public static interface ASTUtil.FilterPredicate

Filters nodes out of a tree.

Method Summary
`boolean` `exclude(antlr.collections.AST n)` Returns true if the node should be filtered out.

Method Detail

### exclude

    boolean exclude(antlr.collections.AST n)

  Returns true if the node should be filtered out.

  Parameters:
    `n` - The node.
  Returns:
    true if the node should be filtered out, false to keep the node.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.